%define major 0
%define apiver 1
%define libname %mklibname %{name}- %{apiver} %{major}
%define develname %mklibname %{name}- %{apiver} -d

Summary:	A pixel manipulation library
Name:		pixman
Version:	0.18.2
Release:	%mkrel 1
License:	MIT
Group:		System/Libraries
URL:		http://gitweb.freedesktop.org/?p=pixman.git
Source:		http://xorg.freedesktop.org/releases/individual/lib/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Pixel manipulation Library.

%package -n %{libname}
Summary:	Pixel manipulation library
Group:		System/Libraries

%description -n %{libname}
A library for manipulating pixel regions -- a set of Y-X banded
rectangles, image compositing using the Porter/Duff model
and implicit mask generation for geometric primitives including
trapezoids, triangles, and rectangles.

%package -n %{develname}
Summary:	Libraries and include files for developing with libpixman
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-%{apiver}-devel = %{version}-%{release}

%description -n %{develname}
This package provides the necessary development libraries and include
files to allow you to develop with pixman.

%prep
%setup -q

%build
# (tpg) library check for SSE extensions at runtime also, 
# so no need to disable it for ix86

%configure2_5x
%make

%install
rm -rf %{buildroot}

%makeinstall_std

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*%{apiver}.so.%{major}*

%files -n %{develname}
%defattr(0644,root,root,0755)
%doc TODO
%{_libdir}/*.so
%{_libdir}/*.*a
%{_includedir}/pixman-1/*.h
%{_libdir}/pkgconfig/*.pc


%changelog
* Mon May 17 2010 Frederic Crozat <fcrozat@mandriva.com> 0.18.2-1mdv2010.1
+ Revision: 544922
- Release 0.18.2

* Thu Apr 01 2010 Christophe Fergeau <cfergeau@mandriva.com> 0.18.0-1mdv2010.1
+ Revision: 530627
- pixman 0.18.0

* Wed Mar 24 2010 Christophe Fergeau <cfergeau@mandriva.com> 0.17.14-1mdv2010.1
+ Revision: 527082
- pixman 0.17.14

* Thu Mar 18 2010 Frederic Crozat <fcrozat@mandriva.com> 0.17.12-1mdv2010.1
+ Revision: 524912
- Release 0.17.12

* Mon Mar 08 2010 Christophe Fergeau <cfergeau@mandriva.com> 0.17.10-1mdv2010.1
+ Revision: 515806
- new upstream release: 0.17.10

* Thu Feb 25 2010 Frederic Crozat <fcrozat@mandriva.com> 0.17.8-1mdv2010.1
+ Revision: 510935
- Release 0.17.8
 -Remove patch0 (not applied anymore)

* Mon Feb 15 2010 Christophe Fergeau <cfergeau@mandriva.com> 0.17.6-1mdv2010.1
+ Revision: 506138
- pixman 0.17.6

* Thu Feb 11 2010 Christophe Fergeau <cfergeau@mandriva.com> 0.17.4-1mdv2010.1
+ Revision: 504236
- pixman 0.17.4

* Fri Nov 20 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.17.2-1mdv2010.1
+ Revision: 467733
- update to new version 0.17.2

* Mon Sep 28 2009 Frederik Himpe <fhimpe@mandriva.org> 0.16.2-1mdv2010.0
+ Revision: 450626
- update to new version 0.16.2

* Sun Aug 30 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.16.0-1mdv2010.0
+ Revision: 422500
- update to new version 0.16.0

* Wed Aug 12 2009 Frederic Crozat <fcrozat@mandriva.com> 0.15.20-1mdv2010.0
+ Revision: 415372
- Release 0.15.20

* Tue Jul 21 2009 Thierry Vignaud <tv@mandriva.org> 0.15.18-1mdv2010.0
+ Revision: 398429
- new release (should fix fdo #22484 and thus mdv #52320)

* Sat Jul 18 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.15.16-1mdv2010.0
+ Revision: 397061
- update to new version 0.15.16

* Fri Jun 26 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.15.14-1mdv2010.0
+ Revision: 389283
- update to new version 0.15.14

* Wed Jun 17 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.15.12-1mdv2010.0
+ Revision: 386833
- update to new version 0.15.12

* Sun Jun 07 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.15.10-1mdv2010.0
+ Revision: 383551
- update to new version 0.15.10

* Mon Jun 01 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.15.8-1mdv2010.0
+ Revision: 381999
- update to new version 0.15.8

* Sat May 30 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.15.6-1mdv2010.0
+ Revision: 381322
- update to new version 0.15.6

* Sat Feb 07 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.14.0-1mdv2009.1
+ Revision: 338320
- update to new version 0.14.0

* Sun Nov 30 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.13.2-1mdv2009.1
+ Revision: 308557
- update to new version 0.13.2

* Thu Sep 18 2008 Götz Waschk <waschk@mandriva.org> 0.12.0-1mdv2009.0
+ Revision: 285592
- new version
- drop patch 1

* Fri Sep 12 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.11.10-1mdv2009.0
+ Revision: 283968
- update to new version 0.11.10
- Patch1: do not render weird artifacts (fd.o bug #17477) (hopefully this will fix also mdv bug #39971 ?)

* Tue Aug 12 2008 Götz Waschk <waschk@mandriva.org> 0.11.8-1mdv2009.0
+ Revision: 271004
- new version

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.10.0-2mdv2009.0
+ Revision: 224920
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Apr 01 2008 Frederic Crozat <fcrozat@mandriva.com> 0.10.0-1mdv2008.1
+ Revision: 191349
- Release 0.10.0 (needed for cairo 1.6.0 when released), with additional MMX optimisations as a bonus

* Tue Jan 15 2008 Paulo Andrade <pcpa@mandriva.com.br> 0.9.6-2mdv2008.1
+ Revision: 152909
- Disable patch0 as it was used only to "document" functions called by
  the X Server.
- Still a noop patch, but add an explicit _X_EXPORT for other symbols. This
  time symbols used by some X Server modules.
- This is a "noop" patch. But it can be considered a list of the functions,
  code from X Server uses from pixmap (libpixman-1), at a later stage, this
  library can be changed to make available only the public symbols.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Oct 25 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.6-1mdv2008.1
+ Revision: 102081
- new version

* Tue Oct 16 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 0.9.5-3mdv2008.1
+ Revision: 99035
+ rebuild (emptylog)

* Wed Oct 10 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 0.9.5-1mdv2008.1
+ Revision: 96931
- new upstream version: 0.9.5
- minor spec cleanup

  + Götz Waschk <waschk@mandriva.org>
    - fix library name to be compatible with libpixman in main
    - remove wrong obsoletes

* Tue Aug 07 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.4-1mdv2008.0
+ Revision: 59882
- Import pixman

